Skip to main content
POST
/
emails
/
mime
Send a raw MIME email
curl --request POST \
  --url https://api.sendkit.dev/emails/mime \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "envelope_from": "Your Name <hello@yourdomain.com>",
  "envelope_to": "user@example.com",
  "raw_message": "<string>"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440000"
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Body

application/json
envelope_from
string
required

Sender email address. Must belong to a verified domain. Accepts plain email or with display name.

Example:

"Your Name <hello@yourdomain.com>"

envelope_to
string<email>
required

Recipient email address.

Example:

"user@example.com"

raw_message
string
required

The raw RFC 2822 formatted email message.

Required string length: 10 - 37500000

Response

Email accepted for delivery

id
string<uuid>

Unique identifier of the created email.

Example:

"550e8400-e29b-41d4-a716-446655440000"